###########################
# Anti-Anti-Bot plugin for FableRO by _vit
# Version 0.01
# 22.02.2008
###########################

package aabot;

use strict;
use Plugins;
use Globals;
use Log qw(message debug);
use I18N qw(bytesToString);

Plugins::register('aabot', 'Anti-Anti-Bot plugin for FableRO', \&onUnload);

my $hooks = Plugins::addHooks(['packet/npc_talk', \&onMsg, undef]);

sub onUnload {
    Plugins::delHooks($hooks);
};

sub onMsg {
    my (undef, $args) = @_;
    my $msg = I18N::bytesToString(unpack("Z*", substr($args->{RAW_MSG}, 8)));
    if($msg =~ /\^FFFFFF/) {
        debug "Message: $msg\n";
        $msg =~ s/\^FFFFFF\d*//g; # remove white color code and white digits
        $msg =~ s/\^000000//g;    # remove black color code
        $msg =~ s/\^\w{6}//g;     # remove other color codes
               
        Commands::run("talk cont");
        sleep(1);
        message "Talking number: $msg\n";
        Commands::run("talk num $msg");
    }
}

return 1;